Linux下Nodejs安装(完整详细)

<p>Linux下Nodejs安装(完整详细)</p><p>之前安装过windows下以及Mac下的node,感觉还是很方便的,不成想今天安装linux下的坑了老半天,特此记录。</p><p>首先去官网下载代码,这里一定要注意安装分两种,一种是Source Code源码,一种是编译后的文件。我就是按照网上源码的安装方式去操作编译后的文件,结果坑了好久好久。</p><p><img src="/up_pic/201805/241006384451.png" title="241006384451.png" alt="1.png"/></p><p>(一) 编译好的文件</p><p><img src="/up_pic/201805/241006532157.png" title="241006532157.png" alt="2.png"/></p><p>  像上图中红色框里面的就是已经编译好的文件,选择好对应的linux版本下载即可,简单说就是解压后,在bin文件夹中已经存在node以及npm,如果你进入到对应文件的中执行命令行一点问题都没有,不过不是全局的,所以通过建立软链接的方式将这个设置为全局就好了。</p><p>tar xf node-v5.10.1-linux-x64.tar.gz -C /usr/local/</p><p>cd /usr/local/</p><p>mv node-v5.10.1-linux-x64/ nodejs</p><p>ln -s /usr/local/nodejs/bin/node /usr/local/bin</p><p>ln -s /usr/local/nodejs/bin/npm /usr/local/bin</p><p>(二)通过源码编译</p><p> 这种方式你下载的文件是Source code,由于我的linux版本是6.x的,默认的gcc-c++为4.4.7 版本,而下过来之后源码编译要求gcc-c++版本最低为4.8,于是我就去升级GCC-C++版本,结果因为是源码编译升级GCC-C++,编译了一个多小时,都没有编译完成!果断被坑...</p><p>root&gt;# ./configure</p><p>WARNING: C++ compiler too old, need g++ 4.8 or clang++ 3.4 (CXX=g++)</p><p>creating ./icu_config.gypi</p><p>{ &#39;target_defaults&#39;: { &#39;cflags&#39;: [],</p><p> &#39;default_configuration&#39;: &#39;Release&#39;,</p><p> &#39;defines&#39;: [],</p><p> &#39;include_dirs&#39;: [],</p><p> &#39;libraries&#39;: []},</p><p> &#39;variables&#39;: { &#39;asan&#39;: 0,</p><p> &#39;gas_version&#39;: &#39;2.20&#39;,</p><p> &#39;host_arch&#39;: &#39;x64&#39;,</p><p> &#39;icu_small&#39;: &#39;false&#39;,</p><p> &#39;node_byteorder&#39;: &#39;little&#39;,</p><p> &#39;node_install_npm&#39;: &#39;true&#39;,</p><p> &#39;node_prefix&#39;: &#39;/usr/local&#39;,</p><p> &#39;node_release_urlbase&#39;: &#39;&#39;,</p><p> &#39;node_shared_http_parser&#39;: &#39;false&#39;,</p><p> &#39;node_shared_libuv&#39;: &#39;false&#39;,</p><p> &#39;node_shared_openssl&#39;: &#39;false&#39;,</p><p> &#39;node_shared_zlib&#39;: &#39;false&#39;,</p><p> &#39;node_tag&#39;: &#39;&#39;,</p><p> &#39;node_use_dtrace&#39;: &#39;false&#39;,</p><p> &#39;node_use_etw&#39;: &#39;false&#39;,</p><p> &#39;node_use_lttng&#39;: &#39;false&#39;,</p><p> &#39;node_use_openssl&#39;: &#39;true&#39;,</p><p> &#39;node_use_perfctr&#39;: &#39;false&#39;,</p><p> &#39;openssl_fips&#39;: &#39;&#39;,</p><p> &#39;openssl_no_asm&#39;: 0,</p><p> &#39;target_arch&#39;: &#39;x64&#39;,</p><p> &#39;uv_parent_path&#39;: &#39;/deps/uv/&#39;,</p><p> &#39;uv_use_dtrace&#39;: &#39;false&#39;,</p><p> &#39;v8_enable_gdbjit&#39;: 0,</p><p> &#39;v8_enable_i18n_support&#39;: 0,</p><p> &#39;v8_no_strict_aliasing&#39;: 1,</p><p> &#39;v8_optimized_debug&#39;: 0,</p><p> &#39;v8_random_seed&#39;: 0,</p><p> &#39;v8_use_snapshot&#39;: &#39;true&#39;,</p><p> &#39;want_separate_host_toolset&#39;: 0}}</p><p>creating ./config.gypi</p><p>creating ./config.mk</p><p>WARNING: warnings were emitted in the configure phase</p><p>(三)apt-get</p><p> 还有一种就是乌班图下的apt-get方式,我之前就被这种方式坑了</p><p>  sudo apt-get install nodejs</p><p>  sudo apt-get install npm</p><p> 这么装完你会发现,node命令不好使,nodejs命令可以用...</p>
RangeTime:0.003577s
RangeMem:199.22 KB
返回顶部 留言